<?php
#############################################################################
#           			                   Site@School
# Site@School is a website management system designed for primary schools.
#
# About Site@School:
# Comissioned by: City District 'de Baarsjes', Amsterdam, Netherlands
# Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
# Ideas, improvements, expansions (version 1.1 - 2.4): Fred Stuurman 
# Current coder & maintainer: Fred Stuurman (fc.stuurman@hccnet.nl)
############################################################################
# javaUpload.php: last changed 03/03/2005    S@S version 2.4                                   
#                      by Fred Stuurman (fc.stuurman@hccnet.nl)
# this file is part of the allbum module
# Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
############################################################################
#                        LICENSE INFORMATION
# Copyright (C) 2002 - 2005 Municipality of Amsterdam, City District
#  'de Baarsjes', Amsterdam, the Netherlands.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################
//this file is called by the java postlet applet, so it runs on its own and is called
//every time an uploaded file is processed.

// include configuration file
include("../../configuration/database.inc.php");
mysql_connect("$db_server", "$db_username", "$db_password");
mysql_select_db("$db_name");

unset($sas_config) ;                                                         //clear the config array first
$query = "SELECT config_key,config_value FROM $table_configuration WHERE config_key NOT LIKE 'agenda_t%'";    
//read all the configuration items except agenda options.

$result = mysql_query($query) ;
while ($config_list = mysql_fetch_array($result)) 
{ 
$sas_config[$config_list[0]] = $config_list[1] ;                             //put them in the config array
}

// include shared functions:
include("shared.inc.php");
// include private functions:
include("admin.inc.php");

//path is different as in the allbum module because we run from this script 
//instead of from the starnet/index.php
$path = "../../". $_GET['store_path']."/";
$parent_ID = $_GET['ID'] ;

$filename = $_FILES['userfile']['name'];
$tmp = explode(".",$filename);
$file_ext = array_pop($tmp);

# Remove spaces, apostrophe, exclamation marks etc.
$str_from = " \'@!,\t\*?`\"" ;
$str_to = str_repeat("_",strlen($str_from));
$filename = strtr($filename,$str_from,$str_to);

if (!file_exists($path.$filename)) 		//only upload non existing files
{ 
move_uploaded_file($_FILES['userfile']['tmp_name'], $path.$filename);

// Get path to main parent:
$parent = db_GetPath($parent_ID);
$title = $filename;
	if(strpos($title, ".")) //object title has extention?
	{
	$tmp = explode(".",$title);
	array_pop($tmp);
	$title = implode(".",$tmp);
	}
$path = $_GET['store_path']."/" ;
$descr = "" ;

	if (strtoupper($file_ext) == "JPG") 
	{
	$type = "picture";
	$dest = "../../".$parent  . "/" . $filename;
	$thumb = ListThumb($dest);				//make the thumb file
	$path = MakeThumb($thumb,$dest);
	$path = $_GET['store_path']."/" ;		//set path back
	$thumb = $filename ;
	}
	elseif ((strtoupper($file_ext) == "GIF") OR (strtoupper($file_ext) == "PNG"))
	{
	$type = "picture";
	$thumb = $filename ;
	}
	elseif (strtoupper($file_ext) == "SWF") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/swf.gif"; 
	} 
	elseif (strtoupper($file_ext) == "MP3") 
	{
	$type = "sound";
	$thumb = "modules/sn_allbum/sound.gif";
	} 
	elseif (strtoupper($file_ext) == "WMA") 
	{
	$type = "sound";
	$thumb = "modules/sn_allbum/winmedia.gif";
	} 
	elseif (strtoupper($file_ext) == "WAV") 
	{
	$type = "sound";
	$thumb = "modules/sn_allbum/sound.gif";
	} 
	elseif (strtoupper($file_ext) == "MID") 
	{
	$type = "sound";
	$thumb = "modules/sn_allbum/sound.gif"; 
	} 
	elseif (strtoupper($file_ext) == "RA") 
	{
	$type = "sound";
	$thumb = "modules/sn_allbum/sound.gif";
	} 
	elseif (strtoupper($file_ext) == "AVI") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/movie.gif";
	} 
	elseif (strtoupper($file_ext) == "RAM") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/movie.gif";
	} 
	elseif (strtoupper($file_ext) == "MOV") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/mov.gif";
	} 
	elseif (strtoupper($file_ext) == "MPG") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/movie.gif";
	} 
	elseif (strtoupper($file_ext) == "MPEG") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/movie.gif";
	}  
	elseif (strtoupper($file_ext) == "DOC") 
	{
	$type = "doc";
	$thumb = "modules/sn_allbum/document.gif";
	} 
	elseif (strtoupper($file_ext) == "PDF") 
	{
	$type = "document";
	$thumb = "modules/sn_allbum/pdf.gif";
	} 
	elseif (strtoupper($file_ext) == "WMV") 
	{
	$type = "movie";
	$thumb = "modules/sn_allbum/movie.gif";
	} 
	else 
	{
	$type = "unknown";
	$thumb = "modules/sn_allbum/unknown.gif";
	}


$allbum_table = $dbprefix."m_allbum" ;
$is_public = db_GetPublic($parent_ID) ;                         //get public bit of parent
db_PutCreateObject($type,$title,$descr,addslashes($path),$thumb,$parent_ID,'','0','0',$is_public);
}

?>